Bug 214759 - Crash when replacing playlist with Dynamic Mode on
Summary: Crash when replacing playlist with Dynamic Mode on
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Playlists/Dynamic Playlists (show other bugs)
Version: 2.3-GIT
Platform: Compiled Sources Linux
: HI crash (vote)
Target Milestone: 2.2.2
Assignee: Amarok Developers
URL:
Keywords: release_blocker
Depends on:
Blocks:
 
Reported: 2009-11-16 05:41 UTC by Dan
Modified: 2009-12-22 12:31 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dan 2009-11-16 05:41:11 UTC
Application: amarok (2.2-GIT)
KDE Version: 4.3.75 (KDE 4.3.75 (KDE 4.4 >= 20091113)) (Compiled from sources)
Qt Version: 4.6.0
Operating System: Linux 2.6.31 x86_64

What I was doing when the application crashed:
Click on Last.fm -> My neighborhood with mouse right button and choose Replace playlist

 -- Backtrace:
Application: Amarok (amarok), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 0 (LWP 11474)]

Thread 23 (Thread 139723318822672 (LWP 11477)):
#0  0x00007f13f2f6e3dc in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13e2287f59 in metronom_sync_loop () from /usr/local/lib/libxine.so.1
#2  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#3  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 22 (Thread 139723308295952 (LWP 11480)):
#0  0x00007f13f2f6e084 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13e22958f3 in fifo_peek_int () from /usr/local/lib/libxine.so.1
#2  0x00007f13e2296728 in ao_loop () from /usr/local/lib/libxine.so.1
#3  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#4  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 21 (Thread 139723299903248 (LWP 11481)):
#0  0x00007f13f34aea23 in poll () from /lib64/libc.so.6
#1  0x00007f13eba688b3 in g_main_context_iterate () from /usr/local/lib/libglib-2.0.so.0
#2  0x00007f13eba68bec in g_main_context_iteration () from /usr/local/lib/libglib-2.0.so.0
#3  0x00007f13f4a85706 in QEventDispatcherGlib::processEvents (this=0xec3360, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:409
#4  0x00007f13f4a5b5f2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f13f4a5b9cd in QEventLoop::exec (this=0x7f13dda84da0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f13f496a439 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f13e24eb533 in Phonon::Xine::XineThread::run (this=0xf207c0) at /home/fraga/src/kdebase-runtime-4.1.3/phonon/xine/xinethread.cpp:111
#8  0x00007f13f496ce05 in QThreadPrivate::start (arg=0xf207c0) at thread/qthread_unix.cpp:244
#9  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#10 0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 20 (Thread 139723287009040 (LWP 11482)):
#0  0x00007f13f2f6e084 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13e22958f3 in fifo_peek_int () from /usr/local/lib/libxine.so.1
#2  0x00007f13e2296728 in ao_loop () from /usr/local/lib/libxine.so.1
#3  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#4  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 19 (Thread 139723259221776 (LWP 11484)):
#0  0x00007f13f2f6e084 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13dbf62b9d in os_event_wait_low () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f13dbf5ff61 in os_aio_simulated_handle () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f13dbf21923 in fil_aio_wait () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f13dbdd5970 in io_handler_thread () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#5  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#6  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 18 (Thread 139723237705488 (LWP 11485)):
#0  0x00007f13f2f6e084 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13dbf62b9d in os_event_wait_low () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f13dbf5ff61 in os_aio_simulated_handle () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f13dbf21923 in fil_aio_wait () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f13dbdd5970 in io_handler_thread () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#5  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#6  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 17 (Thread 139723229312784 (LWP 11486)):
#0  0x00007f13f2f6e084 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13dbf62b9d in os_event_wait_low () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f13dbf5ff61 in os_aio_simulated_handle () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f13dbf21923 in fil_aio_wait () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f13dbdd5970 in io_handler_thread () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#5  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#6  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 16 (Thread 139723220920080 (LWP 11487)):
#0  0x00007f13f2f6e084 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13dbf62b9d in os_event_wait_low () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f13dbf5ff61 in os_aio_simulated_handle () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f13dbf21923 in fil_aio_wait () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#4  0x00007f13dbdd5970 in io_handler_thread () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#5  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#6  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 15 (Thread 139723198801680 (LWP 11489)):
#0  0x00007f13f34b05f3 in ?? () from /lib64/libc.so.6
#1  0x00007f13dbf62fdb in os_thread_sleep () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f13dbdd25f8 in srv_lock_timeout_and_monitor_thread () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#4  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 14 (Thread 139723190408976 (LWP 11490)):
#0  0x00007f13f34b05f3 in ?? () from /lib64/libc.so.6
#1  0x00007f13dbf62fdb in os_thread_sleep () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f13dbdd147a in srv_error_monitor_thread () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#4  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 13 (Thread 139723182016272 (LWP 11491)):
#0  0x00007f13f2f6e084 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13dbf62b9d in os_event_wait_low () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#2  0x00007f13dbdd06ee in srv_master_thread () from /usr/local/kde4/lib/kde4/amarok_collection-mysqlecollection.so
#3  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#4  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 12 (Thread 139723144230672 (LWP 11496)):
#0  0x00007f13f2f6e084 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13f496dd8b in QWaitCondition::wait (this=<value optimized out>, mutex=0x1e5c7e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f13f0456896 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1e5c510, th=0x1e5cd30) at /home/fraga/svn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f13f0458e9b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1e6a070, th=0x1e5cd30) at /home/fraga/svn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f13f0458eb4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1e6a070, th=0x1e5cd30) at /home/fraga/svn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f13f0457387 in ThreadWeaver::ThreadRunHelper::run (this=0x7f13d460edf0, parent=0x1e5c510, th=0x1e5cd30) at /home/fraga/svn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f13f04577e8 in ThreadWeaver::Thread::run (this=0x1e5cd30) at /home/fraga/svn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f13f496ce05 in QThreadPrivate::start (arg=0x1e5cd30) at thread/qthread_unix.cpp:244
#8  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#9  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 11 (Thread 139723127445264 (LWP 11499)):
#0  0x00007f13f2f6e084 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13f496dd8b in QWaitCondition::wait (this=<value optimized out>, mutex=0x1e5c7e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f13f0456896 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1e5c510, th=0x1c0cac0) at /home/fraga/svn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f13f0458e9b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1e6a070, th=0x1c0cac0) at /home/fraga/svn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f13f0457387 in ThreadWeaver::ThreadRunHelper::run (this=0x7f13d360cdf0, parent=0x1e5c510, th=0x1c0cac0) at /home/fraga/svn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f13f04577e8 in ThreadWeaver::Thread::run (this=0x1c0cac0) at /home/fraga/svn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f13f496ce05 in QThreadPrivate::start (arg=0x1c0cac0) at thread/qthread_unix.cpp:244
#7  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#8  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 10 (Thread 139723119052560 (LWP 11500)):
#0  0x00007f13f2f6e084 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13f496dd8b in QWaitCondition::wait (this=<value optimized out>, mutex=0x1e5c7e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f13f0456896 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1e5c510, th=0x1bf3c20) at /home/fraga/svn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f13f0458e9b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1e6a070, th=0x1bf3c20) at /home/fraga/svn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f13f0458eb4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1e6a070, th=0x1bf3c20) at /home/fraga/svn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f13f0457387 in ThreadWeaver::ThreadRunHelper::run (this=0x7f13d2e0bdf0, parent=0x1e5c510, th=0x1bf3c20) at /home/fraga/svn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f13f04577e8 in ThreadWeaver::Thread::run (this=0x1bf3c20) at /home/fraga/svn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f13f496ce05 in QThreadPrivate::start (arg=0x1bf3c20) at thread/qthread_unix.cpp:244
#8  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#9  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 9 (Thread 139723110659856 (LWP 11501)):
#0  0x00007f13f2f6e084 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13f496dd8b in QWaitCondition::wait (this=<value optimized out>, mutex=0x1e5c7e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f13f0456896 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1e5c510, th=0x1abd7e0) at /home/fraga/svn/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f13f0458e9b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1e6a070, th=0x1abd7e0) at /home/fraga/svn/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f13f0457387 in ThreadWeaver::ThreadRunHelper::run (this=0x7f13d260adf0, parent=0x1e5c510, th=0x1abd7e0) at /home/fraga/svn/kdelibs/threadweaver/Weaver/Thread.cpp:87
#5  0x00007f13f04577e8 in ThreadWeaver::Thread::run (this=0x1abd7e0) at /home/fraga/svn/kdelibs/threadweaver/Weaver/Thread.cpp:142
#6  0x00007f13f496ce05 in QThreadPrivate::start (arg=0x1abd7e0) at thread/qthread_unix.cpp:244
#7  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#8  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 8 (Thread 139723095676688 (LWP 11531)):
#0  0x00007f13f2f6e3dc in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13f496dd01 in QWaitCondition::wait (this=<value optimized out>, mutex=0x231f750, time=30000) at thread/qwaitcondition_unix.cpp:85
#2  0x00007f13f49636b8 in QThreadPoolThread::run (this=0x1fa4a40) at concurrent/qthreadpool.cpp:140
#3  0x00007f13f496ce05 in QThreadPrivate::start (arg=0x1fa4a40) at thread/qthread_unix.cpp:244
#4  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#5  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 7 (Thread 139723087283984 (LWP 11532)):
#0  0x00007f13f2f6e3dc in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13f496dd01 in QWaitCondition::wait (this=<value optimized out>, mutex=0x231f750, time=30000) at thread/qwaitcondition_unix.cpp:85
#2  0x00007f13f49636b8 in QThreadPoolThread::run (this=0xd8f530) at concurrent/qthreadpool.cpp:140
#3  0x00007f13f496ce05 in QThreadPrivate::start (arg=0xd8f530) at thread/qthread_unix.cpp:244
#4  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#5  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 6 (Thread 139723074598672 (LWP 11546)):
#0  0x00007f13f2f6e084 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13eee3efb6 in WTF::TCMalloc_PageHeap::scavengerThread (this=0x7f13ef117d20) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2299
#2  0x00007f13eee3eff9 in WTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f13ef125dec) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1433
#3  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#4  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 5 (Thread 139722998003472 (LWP 11553)):
#0  0x00007f13f34b05f3 in ?? () from /lib64/libc.so.6
#1  0x00007f13e22ac095 in xine_usec_sleep () from /usr/local/lib/libxine.so.1
#2  0x00007f13e22943f2 in video_out_loop () from /usr/local/lib/libxine.so.1
#3  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#4  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 4 (Thread 139722980198160 (LWP 11554)):
#0  0x00007f13f2f6e084 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13e228b0f3 in fifo_buffer_get () from /usr/local/lib/libxine.so.1
#2  0x00007f13e2290805 in video_decoder_loop () from /usr/local/lib/libxine.so.1
#3  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#4  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 3 (Thread 139722969917200 (LWP 11555)):
#0  0x00007f13f2f6e084 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13e228b0f3 in fifo_buffer_get () from /usr/local/lib/libxine.so.1
#2  0x00007f13e2291815 in audio_decoder_loop () from /usr/local/lib/libxine.so.1
#3  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#4  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 2 (Thread 139722961524496 (LWP 11556)):
#0  0x00007f13f2f6e084 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f13e2299b2b in xine_event_wait () from /usr/local/lib/libxine.so.1
#2  0x00007f13e2299b9e in listener_loop () from /usr/local/lib/libxine.so.1
#3  0x00007f13f2f6995a in start_thread () from /lib64/libpthread.so.0
#4  0x00007f13f34b72cd in clone () from /lib64/libc.so.6

Thread 1 (Thread 139723711317920 (LWP 11474)):
[KCrash Handler]
#5  0x00007f13f340cea5 in raise () from /lib64/libc.so.6
#6  0x00007f13f340e654 in abort () from /lib64/libc.so.6
#7  0x00007f13f4965277 in qt_message_output (msgType=QtFatalMsg, buf=<value optimized out>) at global/qglobal.cpp:2211
#8  0x00007f13f4965422 in qt_message (msgType=QtFatalMsg, msg=0x7f13f4ac3bb8 "ASSERT failure in %s: \"%s\", file %s, line %d", ap=0x7fff6a205ad0) at global/qglobal.cpp:2257
#9  0x00007f13f49655c5 in qFatal (msg=0x2cd2 <Address 0x2cd2 out of bounds>) at global/qglobal.cpp:2440
#10 0x00007f13f54406cf in QList<Playlist::Item*>::operator[] (this=0x12f9520, i=-1) at /usr/local/Trolltech/Qt-4.6.0/include/QtCore/qlist.h:447
#11 0x00007f13f54394fc in Playlist::Model::moveTracksCommand (this=0x12f94d0, cmds=<value optimized out>, reverse=<value optimized out>)
    at /usr/local/src/git/amarok/src/playlist/PlaylistModel.cpp:945
#12 0x00007f13f44903d3 in QUndoStack::push (this=0x1250900, cmd=0x2cd2) at util/qundostack.cpp:541
#13 0x00007f13f542f590 in Playlist::Controller::moveRows (this=0x19195f0, from=@0x7fff6a205f70, to=<value optimized out>) at /usr/local/src/git/amarok/src/playlist/PlaylistController.cpp:458
#14 0x00007f13f542f806 in Playlist::Controller::moveRow (this=0x19195f0, from=0, to=5) at /usr/local/src/git/amarok/src/playlist/PlaylistController.cpp:356
#15 0x00007f13f547aa32 in Playlist::DynamicTrackNavigator::trackChanged (this=0x1cceca0) at /usr/local/src/git/amarok/src/playlist/navigators/DynamicTrackNavigator.cpp:105
#16 0x00007f13f53880c5 in Playlist::DynamicTrackNavigator::qt_metacall (this=0x1cceca0, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fff6a206110)
    at /usr/local/src/git/amarok/b/src/moc_DynamicTrackNavigator.cpp:81
#17 0x00007f13f4a6f7b2 in QMetaObject::activate (sender=0x130e360, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3390
#18 0x00007f13f54b8ed2 in Playlist::ProxyBase::activeTrackChanged (this=0x2cd2, _t1=5341484899594950667) at /usr/local/src/git/amarok/b/src/ProxyBase.moc:117
#19 0x00007f13f54b8fe4 in Playlist::ProxyBase::qt_metacall (this=0x130e360, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff6a206270)
    at /usr/local/src/git/amarok/b/src/ProxyBase.moc:84
#20 0x00007f13f5388490 in Playlist::GroupingProxy::qt_metacall (this=0x2cd2, _c=11474, _id=6, _a=0xffffffffffffffff) at /usr/local/src/git/amarok/b/src/moc_GroupingProxy.cpp:80
#21 0x00007f13f4a6f7b2 in QMetaObject::activate (sender=0x12c3ff0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3390
#22 0x00007f13f54b8ed2 in Playlist::ProxyBase::activeTrackChanged (this=0x2cd2, _t1=5341484899594950667) at /usr/local/src/git/amarok/b/src/ProxyBase.moc:117
#23 0x00007f13f54b8fe4 in Playlist::ProxyBase::qt_metacall (this=0x12c3ff0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff6a2063a0)
    at /usr/local/src/git/amarok/b/src/ProxyBase.moc:84
#24 0x00007f13f4a6f7b2 in QMetaObject::activate (sender=0x191aa40, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3390
#25 0x00007f13f54b8ed2 in Playlist::ProxyBase::activeTrackChanged (this=0x2cd2, _t1=5341484899594950667) at /usr/local/src/git/amarok/b/src/ProxyBase.moc:117
#26 0x00007f13f54b8fe4 in Playlist::ProxyBase::qt_metacall (this=0x191aa40, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff6a206510)
    at /usr/local/src/git/amarok/b/src/ProxyBase.moc:84
#27 0x00007f13f53874f5 in Playlist::SortProxy::qt_metacall (this=0x2cd2, _c=11474, _id=6, _a=0xffffffffffffffff) at /usr/local/src/git/amarok/b/src/moc_SortProxy.cpp:71
#28 0x00007f13f4a6f7b2 in QMetaObject::activate (sender=0x18fccc0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3390
#29 0x00007f13f54b8ed2 in Playlist::ProxyBase::activeTrackChanged (this=0x2cd2, _t1=5341484899594950667) at /usr/local/src/git/amarok/b/src/ProxyBase.moc:117
#30 0x00007f13f54b8fe4 in Playlist::ProxyBase::qt_metacall (this=0x18fccc0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff6a206670)
    at /usr/local/src/git/amarok/b/src/ProxyBase.moc:84
#31 0x00007f13f54afec0 in Playlist::FilterProxy::qt_metacall (this=0x2cd2, _c=11474, _id=6, _a=0xffffffffffffffff) at /usr/local/src/git/amarok/b/src/FilterProxy.moc:79
#32 0x00007f13f4a6f7b2 in QMetaObject::activate (sender=0x12f94d0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3390
#33 0x00007f13f53826a2 in Playlist::Model::activeTrackChanged (this=0x2cd2, _t1=5341484899594950667) at /usr/local/src/git/amarok/b/src/moc_PlaylistModel.cpp:121
#34 0x00007f13f543b5c5 in Playlist::Model::setActiveRow (this=0x12f94d0, row=0) at /usr/local/src/git/amarok/src/playlist/PlaylistModel.cpp:499
#35 0x00007f13f54228e4 in Playlist::Actions::engineNewTrackPlaying (this=0x1922b20) at /usr/local/src/git/amarok/src/playlist/PlaylistActions.cpp:384
#36 0x00007f13f56b34c8 in EngineSubject::newTrackPlaying (this=<value optimized out>) at /usr/local/src/git/amarok/src/EngineObserver.cpp:195
#37 0x00007f13f56abb61 in EngineController::slotNewTrackPlaying (this=0xf1b980, source=<value optimized out>) at /usr/local/src/git/amarok/src/EngineController.cpp:966
#38 0x00007f13f56b09b2 in EngineController::qt_metacall (this=0xf1b980, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff6a206a50)
    at /usr/local/src/git/amarok/b/src/EngineController.moc:150
#39 0x00007f13f4a6f7b2 in QMetaObject::activate (sender=0xf1bf10, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3390
#40 0x00007f13effae6e5 in Phonon::MediaObject::currentSourceChanged () from /usr/local/kde4/lib/libphonon.so.4
#41 0x00007f13effaffc4 in Phonon::MediaObjectPrivate::_k_currentSourceChanged () from /usr/local/kde4/lib/libphonon.so.4
#42 0x00007f13effb0d94 in Phonon::MediaObject::qt_metacall () from /usr/local/kde4/lib/libphonon.so.4
#43 0x00007f13f4a6f7b2 in QMetaObject::activate (sender=0xfe1ff0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3390
#44 0x00007f13e2504185 in Phonon::Xine::MediaObject::currentSourceChanged (this=0x2cd2, _t1=<value optimized out>) at /home/fraga/src/kdebase-runtime-4.1.3/b/phonon/xine/mediaobject.moc:210
#45 0x00007f13e2505b23 in Phonon::Xine::MediaObject::setSourceInternal (this=0xfe1ff0, source=@0xf1c060, how=Phonon::Xine::MediaObject::HardSwitch)
    at /home/fraga/src/kdebase-runtime-4.1.3/phonon/xine/mediaobject.cpp:447
#46 0x00007f13effb0518 in Phonon::MediaObject::setCurrentSource () from /usr/local/kde4/lib/libphonon.so.4
#47 0x00007f13f56ad183 in EngineController::playUrl (this=0xf1b980, url=@0x7fff6a207390, offset=<value optimized out>) at /usr/local/src/git/amarok/src/EngineController.cpp:420
#48 0x00007f13f56ad5fa in EngineController::slotPlayableUrlFetched (this=0xf1b980, url=@0x7fff6a207390) at /usr/local/src/git/amarok/src/EngineController.cpp:1070
#49 0x00007f13f56b09df in EngineController::qt_metacall (this=0xf1b980, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff6a207370)
    at /usr/local/src/git/amarok/b/src/EngineController.moc:152
#50 0x00007f13f4a6f7b2 in QMetaObject::activate (sender=0x278e6c0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3390
#51 0x00007f13f5592422 in Meta::MultiPlayableCapability::playableUrlFetched (this=0x2cd2, _t1=<value optimized out>) at /usr/local/src/git/amarok/b/src/MultiPlayableCapability.moc:85
#52 0x00007f13dc3ded2e in MultiPlayableCapabilityImpl::metadataChanged (this=0x278e6c0, track=<value optimized out>)
    at /usr/local/src/git/amarok/src/services/lastfm/meta/MultiPlayableCapabilityImpl_p.h:80
#53 0x00007f13f556d5c1 in Meta::Track::notifyObservers (this=0x27b10c0) at /usr/local/src/git/amarok/src/meta/Meta.cpp:309
#54 0x00007f13dc3d6bba in LastFm::Track::Private::notifyObservers (this=0x2729f10) at /usr/local/src/git/amarok/src/services/lastfm/meta/LastFmMeta_p.h:409
#55 0x00007f13dc3de813 in LastFm::Track::Private::setTrackInfo (this=0x2729f10, trackInfo=@0x278e720) at /usr/local/src/git/amarok/src/services/lastfm/meta/LastFmMeta_p.h:125
#56 0x00007f13dc3dec93 in MultiPlayableCapabilityImpl::slotNewTrackAvailable (this=0x278e6c0) at /usr/local/src/git/amarok/src/services/lastfm/meta/MultiPlayableCapabilityImpl_p.h:91
#57 0x00007f13dc3dc437 in MultiPlayableCapabilityImpl::qt_metacall (this=0x278e6c0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff6a207790)
    at /usr/local/src/git/amarok/b/src/services/lastfm/MultiPlayableCapabilityImpl_p.moc:80
#58 0x00007f13f4a6f7b2 in QMetaObject::activate (sender=0x27a7a60, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3390
#59 0x00007f13ef61e6eb in lastfm::RadioTuner::onGetPlaylistReturn () from /usr/local/lib/liblastfm.so.0
#60 0x00007f13ef623454 in lastfm::RadioTuner::qt_metacall () from /usr/local/lib/liblastfm.so.0
#61 0x00007f13f4a6f7b2 in QMetaObject::activate (sender=0x27aad20, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3390
#62 0x00007f13dc3e5ba0 in KNetworkReply::jobDone (this=0x27aad20, kJob=<value optimized out>) at /usr/local/src/git/amarok/src/services/lastfm/kdenetwork/knetworkreply.cpp:153
#63 0x00007f13dc3e6233 in KNetworkReply::qt_metacall (this=0x27aad20, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff6a207c20)
    at /usr/local/src/git/amarok/b/src/services/lastfm/knetworkreply.moc:79
#64 0x00007f13f4a6f7b2 in QMetaObject::activate (sender=0x2778960, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3390
#65 0x00007f13f4e82b12 in KJob::result (this=0x2cd2, _t1=0x2778960) at /home/fraga/svn/kdelibs/b/kdecore/kjob.moc:194
#66 0x00007f13f4e82d9f in KJob::emitResult (this=0x2778960) at /home/fraga/svn/kdelibs/kdecore/jobs/kjob.cpp:304
#67 0x00007f13eca63f9b in KIO::SimpleJob::slotFinished (this=0x2778960) at /home/fraga/svn/kdelibs/kio/kio/job.cpp:475
#68 0x00007f13eca64453 in KIO::TransferJob::slotFinished (this=0x2778960) at /home/fraga/svn/kdelibs/kio/kio/job.cpp:975
#69 0x00007f13eca62479 in KIO::TransferJob::qt_metacall (this=0x2778960, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff6a208030)
    at /home/fraga/svn/kdelibs/b/kio/jobclasses.moc:367
#70 0x00007f13f4a6f7b2 in QMetaObject::activate (sender=0x1ff2d80, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3390
#71 0x00007f13ecb1ddb9 in KIO::SlaveInterface::dispatch (this=0x1ff2d80, _cmd=104, rawdata=@0x7fff6a2082f0) at /home/fraga/svn/kdelibs/kio/kio/slaveinterface.cpp:175
#72 0x00007f13ecb1b19c in KIO::SlaveInterface::dispatch (this=0x1ff2d80) at /home/fraga/svn/kdelibs/kio/kio/slaveinterface.cpp:91
#73 0x00007f13ecb0f28d in KIO::Slave::gotInput (this=0x1ff2d80) at /home/fraga/svn/kdelibs/kio/kio/slave.cpp:320
#74 0x00007f13ecb0f8b4 in KIO::Slave::qt_metacall (this=0x1ff2d80, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff6a208450) at /home/fraga/svn/kdelibs/b/kio/slave.moc:82
#75 0x00007f13f4a6f7b2 in QMetaObject::activate (sender=0x1abfef0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3390
#76 0x00007f13eca3464d in KIO::ConnectionPrivate::dequeue (this=0x2318ff0) at /home/fraga/svn/kdelibs/kio/kio/connection.cpp:82
#77 0x00007f13eca3475d in KIO::Connection::qt_metacall (this=0x1abfef0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x278ed30) at /home/fraga/svn/kdelibs/b/kio/connection.moc:79
#78 0x00007f13f4a6c489 in QObject::event (this=0x1abfef0, e=0x2729a70) at kernel/qobject.cpp:1238
#79 0x00007f13f3e47d0c in QApplicationPrivate::notify_helper (this=0xd8c8e0, receiver=0x1abfef0, e=0x2729a70) at kernel/qapplication.cpp:4277
#80 0x00007f13f3e4e336 in QApplication::notify (this=0x7fff6a208e70, receiver=0x1abfef0, e=0x2729a70) at kernel/qapplication.cpp:4166
#81 0x00007f13f5e004e6 in KApplication::notify (this=0x7fff6a208e70, receiver=0x1abfef0, event=0x2729a70) at /home/fraga/svn/kdelibs/kdeui/kernel/kapplication.cpp:302
#82 0x00007f13f4a5cc3b in QCoreApplication::notifyInternal (this=0x7fff6a208e70, receiver=0x1abfef0, event=0x2729a70) at kernel/qcoreapplication.cpp:704
#83 0x00007f13f4a5f356 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0xc33b80)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#84 0x00007f13f4a85b53 in postEventSourceDispatch (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#85 0x00007f13eba6825d in g_main_context_dispatch () from /usr/local/lib/libglib-2.0.so.0
#86 0x00007f13eba68ac8 in g_main_context_iterate () from /usr/local/lib/libglib-2.0.so.0
#87 0x00007f13eba68bec in g_main_context_iteration () from /usr/local/lib/libglib-2.0.so.0
#88 0x00007f13f4a856b3 in QEventDispatcherGlib::processEvents (this=0xc33350, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:407
#89 0x00007f13f3eea90e in QGuiEventDispatcherGlib::processEvents (this=0x2cd2, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#90 0x00007f13f4a5b5f2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#91 0x00007f13f4a5b9cd in QEventLoop::exec (this=0x7fff6a208e10, flags=) at kernel/qeventloop.cpp:201
#92 0x00007f13f4a5f5f3 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#93 0x0000000000405a0c in main (argc=1, argv=0x7fff6a20ace8) at /usr/local/src/git/amarok/src/main.cpp:229

Reported using DrKonqi
Comment 1 Mark Kretschmann 2009-11-16 13:55:25 UTC
Ah, looks like you had Dynamic Mode enabled? Cause that could make a difference for trying to reproduce (I could not, so far).
Comment 2 Mark Kretschmann 2009-11-16 13:58:21 UTC
Alright, I could reproduce it now, with Dynamic Mode enabled.
Comment 3 Dan 2009-11-16 14:12:58 UTC
(In reply to comment #2)
> Alright, I could reproduce it now, with Dynamic Mode enabled.

I'm glad you can reproduce it there. For now I disabled dynamic playlists and it's fine... this bug was introduced in recent GIT changes... but I don't know what exactly what revision.
Comment 4 Myriam Schweingruber 2009-11-28 20:12:47 UTC
Setting target and keyword.
Comment 5 Nikolaj Hald Nielsen 2009-12-22 12:31:07 UTC
commit 4e6951404f4964a76d6515fc908c2cb18ac459c7
Author:     Nikolaj Hald Nielsen <nhnFreespirit@gmail.com>
AuthorDate: Thu Dec 17 15:28:44 2009 +0100
Commit:     Nikolaj Hald Nielsen <nhnFreespirit@gmail.com>
CommitDate: Thu Dec 17 15:32:36 2009 +0100

   Automatically disable dynamic mode (if enabled) when replacing the playlist.
   This is consitent with what happens when we clear the playlist as "replace" = "clear" + "insert"
   This is hopefully a fix for bug 214759 since it should sidestep the issue entirely.
   BUG: 214759